Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
spott
Admin
Admin


Vanus: 38
Liitunud: 04.06.2005
Postitused: 8779

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 12.12.2013, 09:38  postituse pealkiri:  Eesti ID-kaardi tarkvara 3.8  

11.12.13 lasi RIA välja Eesti ID-kaardi tarkvara versiooni 3.8. Ametlikult on toetatud Ubuntu 12.04 ja Ubuntu 13.10. Viimase korral pole enam vaja kasutada opensc vanemat 0.12.2 versiooni, sest tarkvara töötab ka uuema 0.13 versiooniga. Et tarkvara kasutada Linux Mint 16 või Ubuntu 14.04-ga tuleb skriptifaili kahes reas asendada mälumuutuja stringiga saucy, salvestada muudetud fail kodukataloogi ja käivitada see terminalikäsuga sudo sh install-esteid-ubuntu.sh.

Kui Ubuntu 13.10-le või Mint 16-le on juba paigaldatud ID-kaardi tarkvara 3.7.2, siis tuleb varamute nimistus ID kaardi varamu reas asendada sõna raring sõnaga saucy (https://installer.id.ee/media/ubuntu/ saucy main) ja uuendada pakettide loetelu. Pärast seda paigaldage Synapticuga opensc 0.12 asemel opensc 0.13. Edasi avage Uuendustehaldur ja paigaldage kõik ID-kaardiga seonduvad uuendatud paketid.

Uudise kirjutas Arvo Mägi

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 12.12.2013, 12:03  postituse pealkiri:  (teema puudub)  

Pärast paigaldamist huvitav efekt: ID-kaardi haldusvahendis saab pin-koodi sisestada ainult põhiklavituurilt.

Kui vajutada <Num Lock> välja ja uuesti sisse, siis võtab ka numbriklaviatuur jutule.Very Happy

Pangaga töötab normaalselt.

Op-süsteemid Solydx ja LMDE Mate.

E: Linux Mint 16 seda veidrust ei toeta. Smile

_________________
Kõige parem asi on töötav asi.

martin504
Pingviini külastaja
Pingviini külastaja



Liitunud: 24.01.2012
Postitused: 32

Distributsioon: Linux Mint
estonia.gif
postituspostitatud: 12.12.2013, 17:58  postituse pealkiri:  (teema puudub)  

natsa kirjutas:
E: Linux Mint 16 seda veidrust ei toeta. Smile

Linux Mint 13 ka mitte Smile


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2566
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 12.12.2013, 19:01  postituse pealkiri:  (teema puudub)  

Ubuntu 13.10 - näikse töötavat ilma vigadeta.
UI rakendus, PIN1 nii chrome kui FF all.
NUM locki pole ka vaja näppida.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 13.12.2013, 09:56  postituse pealkiri:  (teema puudub)  

See "näppimine" on ilmselt Debiani veidrus, aga ega ta polegi ametlikult toetatud.

Hea, et üldse töötab. Very Happy

_________________
Kõige parem asi on töötav asi.

Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 13.12.2013, 21:22  postituse pealkiri:  (teema puudub)  

Paigaldasin Mint 16-le. Kui avada id.ee 'paigalda id-tarkvara', ilmub ainult Ubuntu 12.04, 13.10. Kas openSUSE on välja arvatud, mõni aeg tagasi veel sain selle skripti sealt? Ei ole enam ka Fedorat.


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 14.12.2013, 01:09  postituse pealkiri:  (teema puudub)  

Alates 3.8-st on SK/RIA poolt pakkidega toetatud ainult Ubuntu.

_________________
Image Image Image

zeratul
Pingviini aktivist
Pingviini aktivist


Vanus: 35
Liitunud: 22.02.2006
Postitused: 120
Asukoht: Kiili
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 15.12.2013, 15:41  postituse pealkiri:  (teema puudub)  

Dell vostro 1015 (13.10) peal selline probleem:

Digidoc annab sellise vea: PKCS#11 mooduli laadimine ebaõnnestus
opensc-pkcs11.so

Samas firefox laseb näiteks danskebanki ja eesti energia kodukale ilusti sisse logida.
Swedbank annab jällegi järgneva mooduli errori, kui üritan ülekannet teha:

EstEID Plugin initialization failed:
dlopen failed: opensc-pkcs11.so: cannot open shared object file: No such file or directory


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2566
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 15.12.2013, 16:11  postituse pealkiri:  (teema puudub)  

numbriklaviatuuri anomaalia tekkis ka minul nüüd.
PIN'i vastu ei võtnud ja ei kuvanud ka, et vale PIN vmt.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 15.12.2013, 19:25  postituse pealkiri:  (teema puudub)  

sander85 kirjutas:
Alates 3.8-st on SK/RIA poolt pakkidega toetatud ainult Ubuntu.


Ja seegi mitte eriti. Sad

Ubuntu 12.04.
Algne install. Pidevad uuendused. Asi töötab

Ubuntu 12.04.3
Uus install. Numbriklavituuri vigurid.

Swebanki sisenemisel tööjärjekord:

[Kasutajatunnus] → [xxxxxx] → [OK] → [PIN2] → ⊗ → [PIN1] → [xxxx] →

[PIN2] → ⊗ → [PIN2] → ⊗ →

[See veebi...bla-bla-bla...] → [OK] → ja kohal!!!

Kuskohalt surkima hakata?

_________________
Kõige parem asi on töötav asi.

mihkel
Vana Pingviin
Vana Pingviin



Liitunud: 16.04.2006
Postitused: 1284

Distributsioon: Fedora/Centos
estonia.gif
postituspostitatud: 15.12.2013, 20:45  postituse pealkiri:  (teema puudub)  

natsa, kas saan õigesti aru, et küsitakse pin2-te, kui vaja pole?

Seda vigurit teeb Fedoras opensc 0.13, kui paigaldasin 0.12-e, siis ebavajaliku pin2-e küsimist ei toimu. ID-kaardi tarkvara on küll 3.7.2


natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 15.12.2013, 21:58  postituse pealkiri:  (teema puudub)  

mihkel kirjutas:
natsa, kas saan õigesti aru, et küsitakse pin2-te, kui vaja pole?

Seda vigurit teeb Fedoras opensc 0.13, kui paigaldasin 0.12-e, siis ebavajaliku pin2-e küsimist ei toimu. ID-kaardi tarkvara on küll 3.7.2


Nii ongi, enne panka pääsemist küsitakse 3 korda.

Kood:
Baastarkvara: 3.8.0.1398-ubuntu-12-04
Rakenduse versioon: 3.8.0.1106
Operatsioonisüsteem: Ubuntu 12.04.3 LTS
Protsessor: AMD Athlon(tm) 64 Processor 3200+
Tuum: Linux 3.8.0-34-generic #49~precise1-Ubuntu SMP Wed Nov 13 18:05:00 UTC 2013 x86


opensc 0.12.2-2-1-ubuntu-12.04

Ma peaks juba maksete juures olema, kui PIN2 vaja läheb. Wink

Ei tasu vist ikka kohe tõmmelda:laupäeval panin uue peale ja nüüd jama majas. Crying or Very sad

_________________
Kõige parem asi on töötav asi.

sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 15.12.2013, 22:13  postituse pealkiri:  (teema puudub)  

* Ava Firefoxi seaded: Eelistused -> Muud -> Sertifikaadid -> Turvaseadmed
* Eemalda Estonian ID Card
* Taaskäivita Firefox

Kui hästi läheb, siis see PIN2 küsimine kaob ära.

_________________
Image Image Image

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 16.12.2013, 11:14  postituse pealkiri:  (teema puudub)  

sander85 kirjutas:
... Kui hästi läheb, siis see PIN2 küsimine kaob ära.


Läkski hästi! Very Happy

SUUR TÄNU!

_________________
Kõige parem asi on töötav asi.

laurik
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 20.12.2008
Postitused: 68
Asukoht: Pärnumaa
Distributsioon: Estobuntu
estonia.gif
postituspostitatud: 16.12.2013, 18:05  postituse pealkiri:  (teema puudub)  

Sellest oli abi ka Estobuntu puhul - töötab järjekordselt.


Sander
Vana Pingviin
Vana Pingviin



Liitunud: 14.10.2007
Postitused: 615


estonia.gif
postituspostitatud: 16.12.2013, 20:41  postituse pealkiri:  (teema puudub)  

Mint 16-l ilmus ka ootamatult eelpoolkirjeldet viga, algul seda polnud. Klõpsasin enne sander85 abistava postituse lugemist pin2 küsimise peale 2X 'loobu' kuna esimese korra järel ilmus pin2 uuesti. Nüüd on samuti korras


laurivosandi
Moderaator
Moderaator


Vanus: 31
Liitunud: 08.07.2005
Postitused: 647
Asukoht: Tallinn
Distributsioon: Estobuntu, Debian
estonia.gif
postituspostitatud: 17.12.2013, 00:23  postituse pealkiri:  (teema puudub)  

Kes soovib Linux Mint Debian Edition (amd64), Raspbian (armel) või Cubieez (armhf) peal proovida võib lisada järgneva repo:

Kood:
deb http://packages.koodur.com wheezy main



Ehk siis:

Kood:
echo "deb http://packages.koodur.com wheezy main" | sudo tee /etc/apt/sources.list.d/koodur.list
sudo apt-get update
sudo apt-get install estonianidcard


Värskelt kokku lastud ent signeerimata paketid. Makefile põrgu mis seda produtseerib leiab siit. Head häkkimist Smile


akbgf
Vana Pingviin
Vana Pingviin



Liitunud: 07.10.2009
Postitused: 709
Asukoht: Tõravere
Distributsioon: OpenSUSE, Ubuntu
estonia.gif
postituspostitatud: 17.12.2013, 09:22  postituse pealkiri:  (teema puudub)  

sander85 kirjutas:
Alates 3.8-st on SK/RIA poolt pakkidega toetatud ainult Ubuntu.

Sirvisin veidi repositooriumi https://installer.id.ee/media/.
Uusi RPM-e sealt enam ei leia. RPM-põhiste distributsioonide jaoks jääb siis võimalus ID-tarkvara ise lähtetekstist ehitada.
Sellekohast juhendit sealt repositooriumist ei leia.

Kas keegi paneks kokku pooleleheküljelise kompileermisjuhendi?
Midagi niisugust nagu näiteks README DVD-de koostamise paki Bombono DVD lähtetekstidega kaasas,
http://sourceforge.net/projects/bombono/files/bombono-dvd/1.2/bombono-dvd-1.2.2.tar.bz2/download.
See on lihtsalt üks näide, mida viimati kasutasin. Igal unixiliste pakil on niisugune installeerimisjuhend kaasas,
aga RIA-le näikse niisuguse juhendi koostamine üle jõu käivat.

Installation Instructions
====================
I. Requirements:
[..]
II.
1) unpack
[..]
2) build
[..]
3) install
[..]

Documentation
=============
See http://...


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4358
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 17.12.2013, 09:36  postituse pealkiri:  (teema puudub)  

RPMi jaoks pani SK vanad .spec failid kaasa (nt: https://svn.eesti.ee/projektid/idkaart_public/branches/3.8/libdigidoc/libdigidoc.spec) see peaks esialgu lähtepunkti andma, mille pealt siis asjad 3.8-ga ka toimima saada.

Võid ka uurida minu poolt Mageia jaoks kirjutatud spekke:
libdigidoc: http://svnweb.mageia.org/packages/cauldron/libdigidoc/current/SPECS/libdigidoc.spec?revision=533347&view=markup
libdigidocpp: http://svnweb.mageia.org/packages/cauldron/libdigidocpp/current/SPECS/libdigidocpp.spec?revision=533352&view=markup
certs: http://svnweb.mageia.org/packages/cauldron/esteidcerts/current/SPECS/esteidcerts.spec?revision=504103&view=markup
esteid-pkcs11-module-loader: http://svnweb.mageia.org/packages/cauldron/mozilla-esteid/current/SPECS/mozilla-esteid.spec?revision=525861&view=markup
esteid-plugin: http://svnweb.mageia.org/packages/cauldron/esteid-browser-plugin/current/SPECS/esteid-browser-plugin.spec?revision=525799&view=markup
qdigidoc: http://svnweb.mageia.org/packages/cauldron/qdigidoc/current/SPECS/qdigidoc.spec?revision=548954&view=markup
qesteidutil: http://svnweb.mageia.org/packages/cauldron/qesteidutil/current/SPECS/qesteidutil.spec?revision=526597&view=markup

Aga kindlastit tuleb neis spekkides teiste distrote jaoks muudatusi teha, samas peaksid mingi aluse saama.

_________________
Image Image Image

natsa
Vana Pingviin
Vana Pingviin


Vanus: 74
Liitunud: 25.03.2009
Postitused: 537
Asukoht: Kärdla
Distributsioon: LMDE-2 Mate 64-bit
estonia.gif
postituspostitatud: 17.12.2013, 16:22  postituse pealkiri:  (teema puudub)  

Solydx küsib ikka 3x PIN2, kuni järjekord PIN1 kätte jõuab.

Tuli abikaasa masinasse Precise ja mate desktop panna.

Hädakisa lõppes ära. Smile

_________________
Kõige parem asi on töötav asi.

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group